/* SKT.H - Headers for the  function library for handling sockets

            Written by M.C.Gregorie.

            Version history
               
            1.0   25/07/2011   Initial release

   environ - C programming support functions
   Copyright (C) 2005-2011  Martin C Gregorie
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the Lesser GNU General Public License.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the Lesser GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  
   Contact Martin Gregorie at martin@gregorie.org

*/

/* Constants used by the adjustdate package */

#define LASTDAY   -1
#define FIRSTDAY  -2
#define KEEPDAY   -3
#define KEEPDATE  -4
#define DAY       -5
#define HOUR      -6
#define MIN       -7
#define SEC       -8
#define ON        -9
#define OFF       0
 
/* Function templates */

void   ajdebug(int level);
int    ajerror();
char   *ajformatdate(char *format);
time_t ajgetdate();
char   *ajgeterror();
void   ajmonth(int offset, int day);
void   ajoffsetdate(int offset, int element);
void   ajsetnow();
void   ajsetdate(time_t dt);
void   ajtruncate(int setting);
void   ajyear(int offset, int action);


